# get\_asset\_builder\_templates

`imerit_ango.sdk.SDK.`

## get\_asset\_builder\_templates(project\_id)

Retrieve asset builder templates in your project.

### Parameters

* **project\_id:** string
  * The unique identifier for the project. You can find the project ID in [the user interface](/sdk/sdk-documentation.md#project-ids) or retrieve it by using the [`list_projects`](/sdk/sdk-documentation/project-level-sdk-functions/list_projects.md) function.

Returns:

* **output:** dict
  * A dictionary containing the result of the operation.
  * Including a `status` field indicating whether the request was successful and a `data` field containing the response payload with updated resources produced by the operation.

### Example

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv("variables.env")
api_key = os.getenv("API_KEY")
project_id = os.getenv("PROJECT_ID")

ango_sdk = SDK(api_key)

templates = ango_sdk.get_asset_builder_templates(project_id=project_id)
```

{% endtab %}

{% tab title="curl" %}

```bash
curl -X GET "https://imeritapi.ango.ai/v2/project/$PROJECT_ID" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY"
```

{% endtab %}
{% endtabs %}

<details>

<summary>Sample Output</summary>

```python
[
  {
    "name": "Sample Template",
    "description": "Sample Description",
    "template": "Sample Content",
    "preLabelConfig": {},
    "dataConfig": {
      "Batch": {
        "type": "text",
        "storage": "Public",
        "includeInExport": false
      },
      "External ID": {
        "type": "text",
        "storage": "Public",
        "includeInExport": false
      },
    },
    "selectedExternalId": "External ID",
    "_id": "68b69f9068d5b2b62c6e615d",
    "createdAt": "2020-00-00T00:00:00.000Z"
  }
]
```

</details>

{% hint style="info" %}
**See also**

[create\_asset\_builder\_template](/sdk/sdk-documentation/project-level-sdk-functions/create_asset_builder_template.md), [upload\_files\_with\_asset\_builder](/sdk/sdk-documentation/project-level-sdk-functions/upload_files_with_asset_builder.md), [Asset Builder](/data/importing-assets/asset-builder.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/get_asset_builder_templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
